<script setup lang="ts">
    import { computed } from 'vue'

    const text = defineModel<string | undefined>()

    const computedText = computed<string | undefined>({
        get() {
            return text.value
        },
        set(value: string | undefined) {
            if (value === '') {
                text.value = undefined
                return
            }
            text.value = value
        },
    })
</script>

<template>
    <v-textarea v-model="computedText" />
</template>
